Status: Resolved Priority: Must have
Author: Adrian Föder Category: Node handling
Created: 2012-05-23 Assigned To: Adrian Föder
Updated: 2012-05-24 Due date:
Subject: Functional Domain/NodesTest must have testableHttpEnabled
Description

TYPO3\TYPO3\Domain\Service\ContentContext::initializeObject() has 

$activeRequesthandler->getHttpRequest()->getUri()->getHost())

getHttpRequest() returns NULL if the TYPO3CR's NodesTest doesn't have 

protected $testableHttpEnabled = TRUE;

and therefore the FunctionalTest fatal error's very early with "calling getUri() on a Non-object"

Associated revisions
Revision a9e150eb - 2012-05-23 15:13 - Adrian Föder

[BUGFIX] Functional Test Domain\NodesTest now has Http enabled

The NodesTest must have testableHttpEnabled set to TRUE in order
to don't let the involved TYPO3.TYPO3\Domain\Service\ContentContext
fail.

Change-Id: Ia5df4743011b6e074a80e84e51a033ff938dac03
Fixes: #37434

History
#1 - 2012-05-23 15:13 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11538

#2 - 2012-05-23 23:54 - Christian Müller
- Status changed from New to Under Review

#3 - 2012-05-24 00:45 - Christian Müller
- Status changed from Under Review to Resolved
